<?xml version="1.0"?>
<!DOCTYPE faces-config PUBLIC "-//Sun Microsystems, Inc.//DTD JavaServer Faces Config 1.1//EN"
                              "http://java.sun.com/dtd/web-facesconfig_1_1.dtd">
<faces-config>
	<managed-bean>
		<managed-bean-name>bean</managed-bean-name>
		<managed-bean-class>portal.Bean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>helpbean</managed-bean-name>
		<managed-bean-class>portal.Bean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>editbean</managed-bean-name>
		<managed-bean-class>portal.Bean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>requestbean</managed-bean-name>
		<managed-bean-class>portal.Bean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<navigation-rule>
		<from-view-id>/jsf/start.xhtml</from-view-id>
		<navigation-case>
			<from-outcome>repeater</from-outcome>
			<to-view-id>/jsf/repeater.xhtml</to-view-id>
		</navigation-case>
	</navigation-rule>
	<navigation-rule>
		<from-view-id>/jsf/repeater.xhtml</from-view-id>
		<navigation-case>
			<from-outcome>start</from-outcome>
			<to-view-id>/jsf/start.xhtml</to-view-id>
		</navigation-case>
	</navigation-rule>
    <!-- Help pages navigation -->
	<navigation-rule>
		<from-view-id>/jsf/help.jspx</from-view-id>
		<navigation-case>
			<from-outcome>help2</from-outcome>
			<to-view-id>/jsf/help2.jspx</to-view-id>
		</navigation-case>
	</navigation-rule>
	<navigation-rule>
		<from-view-id>/jsf/help2.jspx</from-view-id>
		<navigation-case>
			<from-outcome>start</from-outcome>
			<to-view-id>/jsf/help.jspx</to-view-id>
		</navigation-case>
	</navigation-rule>
	<!-- Edit mode navigation -->
	<navigation-rule>
		<from-view-id>/jsf/edit.jspx</from-view-id>
		<navigation-case>
			<from-outcome>edit2</from-outcome>
			<to-view-id>/jsf/edit2.jspx</to-view-id>
		</navigation-case>
	</navigation-rule>
	<navigation-rule>
		<from-view-id>/jsf/edit2.jspx</from-view-id>
		<navigation-case>
			<from-outcome>start</from-outcome>
			<to-view-id>/jsf/edit.jspx</to-view-id>
		</navigation-case>
	</navigation-rule>
	<application>
		<view-handler>
			org.ajax4jsf.portlet.application.PortletViewHandler
		</view-handler>
		<state-manager>
			org.ajax4jsf.portlet.application.PortalStateManager
		</state-manager>
		<!-- 
			<view-handler>com.sun.facelets.FaceletPortletViewHandler</view-handler>
		-->
	</application>
	<factory>
		<faces-context-factory>
			org.ajax4jsf.portlet.context.FacesContextFactoryImpl
		</faces-context-factory>
	</factory>


</faces-config>
